package immibis.core.api;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.CLASS)
/**
 * Specifies that this class or interface may change in the future.
 * If it is an interface, additional methods may be added, so this interface should not be implemented by other mods.
 * If it is a class, the code in it may be changed or new methods may be added.
 * In either case, classes with this annotation should not be bundled in other mods' zip files.
 * 
 * This is not used yet.
 */
public @interface MayChange {

}
